Page MenuHomePhabricator

add links to COM:OTRS in UploadWizard at Commons
Closed, ResolvedPublic

Description

See proposal at Commons:

OTRS is currently the only tool we have to verify permissions from third-party copyright holders, but most uploaders are not even aware it exists. In the "Release rights" step of the UploadWizard, when "This file is not my own work" is chosen, it currently says:

The copyright holder published this work with the right Creative Commons license
Not all Creative Commons licenses are good for this site. Make sure the copyright holder used one of these licenses.
[license options]

(Messages mwe-upwiz-license-cc-head and mwe-upwiz-license-cc-subhead.)

Change that to:

The copyright holder published or wants to publish this work under a Creative Commons license

  • If the work is already published under that license online add URLs and short quotation of the permission text to the source field above. Also add the tag {{LicenseReview}}.
  • If the copyright holder wants to release the work under that license via e-mail please follow the steps described at COM:OTRS and add {{subst:OP}} to the source field above.

Not all Creative Commons licenses are good for this site. Make sure the copyright holder used or wants to use one of the following licenses:
[license options]

(Could override mwe-upwiz-license-cc-subhead in Wikimedia Messages; a radio button label should not be too long.)

Details

Reference
bz34332

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:09 AM
bzimport set Reference to bz34332.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 11 2012, 2:48 PM

As with a lot of your tickets for UW, this one can be solved with a configuration change. Look for 'autoWikiText' in the config file for UW and put in {{subst:OP}} and whatever else you'd like into the file's page. Closing as not-a-bug (invalid), because it's never been a problem.

saibotrash wrote:

(In reply to comment #1)

As with a lot of your tickets for UW, this one can be solved with a
configuration change. Look for 'autoWikiText' in the config file for UW and put
in {{subst:OP}} and whatever else you'd like into the file's page. Closing as
not-a-bug (invalid), because it's never been a problem.

I cannot look in some config file. damn! Stop closing that bugs!

Saibo,

First, you _can_, just not on Commons. For that, file a bug in the proper section of Bugzilla (Wikimedia -> Site configuration) as opposed to UploadWizard, because we don't make site-specific configuration changes in the repository itself, since every wiki might have a different way of dealing with this sort of thing.

Second, there was absolutely no reason for you to up the importance of this bug. It doesn't appear to be a huge problem the way it is, so it's definitely not "Highest" "blocker".

Sorry, realized I could just recategorize. People in site configuration, please consider making the above config change for Commons.

saibotrash wrote:

(In reply to comment #4)

Sorry, realized I could just recategorize. People in site configuration, please
consider making the above config change for Commons.

I am no programmer of UW, but I know I can recat. I know the same people are responsible for UW wether it is programming or Wikimedia config changes. So, please do your job WMF guys. It is you who pushed that UW to Commons. So fix your bugs.

(In reply to comment #3)

Second, there was absolutely no reason for you to up the importance of this
bug. It doesn't appear to be a huge problem the way it is, so it's definitely
not "Highest" "blocker".

Of course not - but maybe it gets seen then. ;-)

saibotrash wrote:

To all: See also the talk at Commons (link above).

I try to make it a bit easier for the UW fans and suggest a wording:

Currently:

The copyright holder published this work with the right Creative Commons license

Not all Creative Commons licenses are good for this site. Make sure the copyright holder used one of these licenses:

Should be:

The copyright holder published or wants to publish this work under a Creative Commons license.

  • If the work is already published under that license online add URLs and short quotation of the permission text to the source field above. Also add the tag {{LicenseReview}}.
  • If the work is not already published under that license online please follow the steps described at [[COM:OTRS]] (the copyright holder has to send an email) and add {{subst:OP}} to the source field above.

Not all Creative Commons licenses are good for this site. Make sure the copyright holder used or wants to use one of the following licenses:

Btw: I used "source field" in my text above - that is not the best choice. In fact all that permission stuff should be added to the permission= field of the Information template. But Upload wizard currently does not feature such a field.

Tip: have a look at the texts at https://commons.wikimedia.org/w/index.php?title=Special:Upload&uselang=en which the UW designers seemingly ignored.

I don't see consensus in the discussion for this request to make the UW so much more cluttered: only "Will the OTRS mail and link be added to the UploadWizard? --WikedKentaur (talk) 08:50, 10 February 2012 (UTC)" and you filing this bug.
Closing invalid until there is clear consensus with a proposed text.

Personally, I agree that there needs to be more information but probably this is not the way to go: there is https://commons.wikimedia.org/wiki/Commons:Welcome_to_Commons_brochure and the initial infographics with information on licenses may be updated, I don't know.

So what is needed to make this happen? That's exactly the right place for this, imo – nobody looks at brochures if they want to upload an image …

El_Grafo added a comment.EditedJun 3 2015, 9:10 AM

FYI: I started a discussion at Commons:Village pump/Proposals. If there's anything specific needed from the community to do, now would be a good time to tell us. Cheers, El Grafo.

El_Grafo renamed this task from add links to COM:OTRS to add links to COM:OTRS in UploadWizard at Commons.Jun 7 2015, 8:54 AM
El_Grafo updated the task description. (Show Details)
El_Grafo set Security to None.
El_Grafo reopened this task as Open.Jun 7 2015, 9:10 AM
Nemo_bis updated the task description. (Show Details)Jun 13 2015, 11:57 PM

Thanks for clarifying the proposal and discussion (still ongoing).

This will make UploadWizard even more Commons-specific, working against another feature request in this component. Is there a sane way to make WikimediaMessages overrides which are specific to a single wiki?

Thanks for clarifying the proposal and discussion (still ongoing).
This will make UploadWizard even more Commons-specific, working against another feature request in this component. Is there a sane way to make WikimediaMessages overrides which are specific to a single wiki?

Umm... Local admin override in MediaWiki namespace?

Umm... Local admin override in MediaWiki namespace?

That would be simplest, sure; the message would then be added to [[MediaWiki:translatable-messages]] (unless it allows raw HTML). There are less translators on Commons than on translatewiki.net, but if the Commons community takes care of advertising the need of translations then that's not a big deal.

El_Grafo updated the task description. (Show Details)Jun 17 2015, 8:09 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 17 2015, 8:09 AM

FYI: I've slightly adjusted the wording of the second bullet point (see discussion at Commons)

Umm... Local admin override in MediaWiki namespace?

That would be simplest, sure; the message would then be added to [[MediaWiki:translatable-messages]] (unless it allows raw HTML). There are less translators on Commons than on translatewiki.net, but if the Commons community takes care of advertising the need of translations then that's not a big deal.

Yes, that should probably be done locally for Commons only. But from the comment @MarkTraceur made above (T36332#384853) it seems that for some reason on Commons local admins don't have the rights to do that on thir own?

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Jun 26 2015, 4:53 PM
Steinsplitter moved this task from Backlog to Uploading on the Commons board.

FTR: No new comments at the proposal for about two weeks. 14 pro : 2 contra, with the two contras being more against OTRS in general. I'd say it's safe to assume that lack of consensus is not an issue anymore.

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJun 29 2015, 8:40 AM
Ahonc added a subscriber: Ahonc.Jun 30 2015, 7:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2015, 8:13 AM
Dereckson added a subscriber: Dereckson.EditedMar 15 2016, 7:36 PM

So we have a consensus for this configuration change per @El_Grafo last comment.

To address the Commons-specific vs Wikimedia-wide issue, we can version this setting by wiki, adding an option in InitialiseSettings.php instead to directly reconfigure in CommonsSettings.php.

@MarkTraceur what's the setting involved here?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMar 15 2016, 7:36 PM

it seems that for some reason on Commons local admins don't have the rights to do that on thir own

Nobody said such a thing. If you want to change https://commons.wikimedia.org/wiki/MediaWiki:Mwe-upwiz-license-cc-subhead , use the edit button. :)

Dereckson added a comment.EditedApr 14 2016, 1:29 PM

Done locally for English base version.

I've also added for translations here.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 14 2016, 1:29 PM
Dereckson closed this task as Resolved.Apr 14 2016, 1:33 PM
Dereckson claimed this task.